% Matlab file for_ paper "Solving Heterogeneous Agent Models by Projection and Perturbation"
% Michael Reiter, Institute for Advanced Studies, September 2006
% Last update: June 2008
% Feel free to use, copy and modify at your own risk;
%   this program comes with NO WARRANTY WHATSOEVER
% doubling algorithm to solve discrete Lyapunov equation
function X = doubling(A,Sig,n)
  A = A';

  for i=1:n-1
    Sig = Sig+A'*Sig*A;
    A = A*A;
  end
  X = Sig+A'*Sig*A;