% Matlab file for_ paper "Solving Heterogeneous Agent Models by Projection and Perturbation"
% Michael Reiter, Institute for Advanced Studies, September 2006
% Last update: June 2008
% Feel free to use, copy and modify at your own risk;
%   this program comes with NO WARRANTY WHATSOEVER
function p = PDF_logn(x, mu, stdev)
  ispos = x>0;
  p = zeros(size(x));
  xx = x(ispos);
  y = log(xx);
  p(ispos) = 1./xx .*pdf_normal(y,mu,stdev);

