% Matlab file for_ paper "Solving Heterogeneous Agent Models by Projection and Perturbation"
% Michael Reiter, Institute for Advanced Studies, September 2006
% Last update: June 2008
% Feel free to use, copy and modify at your own risk;
%   this program comes with NO WARRANTY WHATSOEVER
function m = momenty(j)
  global Params;
  if(j>1)
    subtr = momenty(1);
  else
    subtr = 0;
  end
  m = quadl(@ypower,Params.ymin,Params.ymax,1e-8,[],j,subtr);

function x = ypower(y,j,subtr)
  x = (y-subtr).^j .* densy(y,1);
