% Matlab file for_ paper "Solving Heterogeneous Agent Models by Projection and Perturbation"
% Michael Reiter, Institute for Advanced Studies, September 2006
% Last update: June 2008
% Feel free to use, copy and modify at your own risk;
%   this program comes with NO WARRANTY WHATSOEVER
%
% translates distribution into the parameters characterizing this distribution;
%   inverse operation to par2distr
function par =  distr2par(D)
  global Params;

  Ddev = D - Params.Dstst;
  if(Params.SmoothDev==0)
    par = Ddev(2:end);
  else
    par = Params.Binv*Ddev(2:end);
  end
