% Matlab file for_ paper "Solving Heterogeneous Agent Models by Projection and Perturbation"
% Michael Reiter, Institute for Advanced Studies, September 2006
% Last update: June 2008
% Feel free to use, copy and modify at your own risk;
%   this program comes with NO WARRANTY WHATSOEVER
function r = netintr(K,z);
  global Params;
  %adjust for_ differences from L=1
  KLratio = K / Params.ymean;
  r = z*Params.alpha*Params.A*(KLratio).^(Params.alpha-1) - Params.delta;


