% Matlab file for_ paper "Solving Heterogeneous Agent Models by Projection and Perturbation"
% Michael Reiter, Institute for Advanced Studies, September 2006
% Last update: June 2008
% Feel free to use, copy and modify at your own risk;
%   this program comes with NO WARRANTY WHATSOEVER
function [D,par,dz,dtau] = x2par(x)
  global Params;
  nd = Params.nStatesDistr;
  nc = Params.nc;
  if(Params.iKS)
    D = x(1:nd);
  else
    D = par2distr(x(1:nd));
  end
  par = x(nd+1:nd+nc);
  nx = length(x);
  dz = x(nx-1);
  dtau = x(nx);

